Delete User from Suppression List
Delete a suppression entry using its _id, or a combination of distinct_id or destination and channel.
How the parameters are resolved:
- If
_idis provided, it takes precedence over all other parameters. - Otherwise, provide either
distinct_idordestination. If you provide both,distinct_idtakes precedence anddestinationis ignored. - Add
channelto remove the suppression on that channel only, for example to unblocksmswhile keepingwhatsappsuppressed for the same number. - If
channelis omitted, the suppression is removed across all channels for thatdistinct_idordestination.
Authentication
Path parameters
Query parameters
Unique identifier of the suppression record to delete, for example 68763be4b8cee01156d9fa8a. You can get this value from the Get Users endpoint.
The distinct ID you use to identify the user, for example XXXXXXXX. Use this as an alternative to destination.
The suppressed email address, phone number, or push token, for example abcde@fghi.com, +49XXXXXXXXX, or ExponentPushToken[XXXXX]. Enter a phone number with the country code.
The channel to remove the suppression for, for example sms, email, whatsapp, or push. Use this along with distinct_id or destination to unblock a single channel without affecting the other channels for the same user. If omitted, the suppression is removed across all channels.